summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorChristian Hammond <chipx86@chipx86.com>2002-08-08 18:11:17 +0000
committerChristian Hammond <chipx86@chipx86.com>2002-08-08 18:11:17 +0000
commitccff3f99fb9056d54bd3864a9ce353c507155046 (patch)
tree1394d9583d643db577fe1932197164548f93fdb5 /autogen.sh
parentfe84bdb54f8fd6f29a909d77dfc85397e854ec72 (diff)
downloadpidgin-ccff3f99fb9056d54bd3864a9ce353c507155046.tar.gz
[gaim-migrate @ 3407]
Here it is. Added gettext 0.11.x support! It should work fine, but please let me know if anything is broken in 0.10.x or 0.11.x (in my tests, it all worked fine)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh31
1 files changed, 30 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index aa1a9709da..7bb1d7f407 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,15 @@
#!/bin/sh
+abort() {
+ # Don't break the tree if something goes wrong.
+ if [ -e m4~ ]; then
+ rm -rf m4
+ mv m4~ m4
+ fi
+
+ exit 1
+}
+
(gettextize --version) < /dev/null > /dev/null 2>&1 || {
echo;
echo "You must have gettext installed to compile Gaim";
@@ -42,7 +52,26 @@ echo "Generating configuration files for Gaim, please wait...."
echo;
echo "Running gettextize, please ignore non-fatal messages...."
-echo n | gettextize --copy --force || exit;
+
+# Get the major version of gettext.
+GETTEXT_VER=`gettextize --version | sed -n 's/^.*[0-9]\+\.\([0-9]\+\)\..*$/\1/p'`
+
+# Decide how we want to run gettext.
+if [ $GETTEXT_VER -eq 11 ]; then
+ mv -f m4 m4~
+
+ echo n | gettextize --copy --force --intl --no-changelog || abort
+
+ # Now restore the things that brain-dead gettext modified.
+ [ -e configure.in~ ] && mv -f configure.in~ configure.in
+ [ -e Makefile.am~ ] && mv -f Makefile.am~ Makefile.am
+ rm -rf m4
+ mv -f m4~ m4
+
+ mv -f po/Makevars.template po/Makevars
+else
+ echo n | gettextize --copy --force || exit;
+fi
echo "Running libtoolize, please ignore non-fatal messages...."
echo n | libtoolize --copy --force || exit;